%global START_TOKEN ### Generated by %{name} rpm package
%global END_TOKEN ### Generated by %{name} rpm package

Name:		bash-git-prompt
Version:	2.7.1
Release:	6%{?dist}
Summary:	Informative git prompt for bash and fish

Group:		Development/Tools
License:	GPL
URL:		https://github.com/magicmonty/bash-git-prompt.git
Source0:    	https://github.com/magicmonty/bash-git-prompt/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        bash-git-prompt.sh
Requires:       git
BuildArch:      noarch

%description
A bash prompt that displays information about the current git repository. In particular the branch name, difference with remote branch, number of files staged, changed, etc.

This package will automatically enable the git prompt for bash after
install. It will disable the prompt accordingly after uninstall.

%prep
%setup -q


%build
sed --in-place "s:\(#!\)\s*/usr.*:\1%{__python3}:" gitstatus.py
sed --in-place "s:#DATADIR#:%{_datadir}/%{name}:" %{SOURCE1}

%install

install -dm 755 %{buildroot}%{_datadir}/%{name}
install -dm 755 %{buildroot}%{_sysconfdir}/profile.d/

install -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/

install -pm 755 *.sh %{buildroot}%{_datadir}/%{name}
install -pm 755 *.py %{buildroot}%{_datadir}/%{name}
install -pm 755 *.fish %{buildroot}%{_datadir}/%{name}
install -pm 644 README.md %{buildroot}%{_datadir}/%{name}

install -dm 755 %{buildroot}%{_datadir}/%{name}/themes
install -pm 644 themes/*.bgptheme %{buildroot}%{_datadir}/%{name}/themes
install -pm 644 themes/*.bgptemplate %{buildroot}%{_datadir}/%{name}/themes

# never include compiled Python program
rm -fr  %{buildroot}%{_datadir}/%{name}/*.pyo
rm -fr  %{buildroot}%{_datadir}/%{name}/*.pyc


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_datadir}/%{name}
%{_sysconfdir}/profile.d/bash-git-prompt.sh


%changelog
* Mon Jan  4 2021 Jerzy Drozdz <rpmbuilder@jdsieci.pl> - 2.7.1-6
- Added shell checking conditional

* Mon Dec 28 2020 Jerzy Drozdz <rpmbuilder@jdsieci.pl> - 2.7.1-5
- Script enabling prompt moved to seperate file

* Mon Dec 28 2020 Jerzy Drozdz <rpmbuilder@jdsieci.pl> - 2.7.1-4
- Removed cleaning buildroot directory

* Thu Dec 24 2020 Jerzy Drozdz <rpmbuilder@jdsieci.pl> - 2.7.1-3
- ambiguous python interpreter fixed in build

* Thu Jul 18 2019 Jerzy Drozdz <rpmbuilder@jdsieci.pl> - 2.7.1-2
- Fixed ambiguous python interpreter

* Thu Jan 25 2018 Jerzy Drozdz <rpmbuilder@jdsieci.pl> - 2.7.1-1
- update to version 2.7.1

* Sun Sep 03 2017 Jerzy Drozdz <rpmbuilder@jdsieci.pl> - 2.6.3-1
- update to version 2.6.3

* Fri Feb 17 2017 Jerzy Drozdz <rpmbuilder@jdsieci.pl> - 2.6.1-1
- update to version 2.6.1

* Fri Jun 24 2016 Jerzy Drozdz <rpmbuilder@jdsieci.pl> - 2.5.1-1
- update to version 2.5.1

* Tue Jul 07 2015 Jerzy Drozdz <rpmbuider@jdsieci.pl> - 2.3.5-1
- Update to version 2.3.5

* Fri Aug 08 2014 Justin Zhang <schnell18@gmail.com> - 1.0.1-1
- Initial version of package
